Subject: bug#58489: 29.0.50; commit 74c07733698b95eb455edcafab8634a700a3194f breaks GTK version for some Ubuntu distributions

From: Uwe Brauer <[email-masked]>
Date: Fri, 14 Oct 2022 09:27:55 +0200

>>> "PL" == Po Lu <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> Then the screenshot with the early-init
>> 
>> It seems to look ok but when it finishes loading all my init files, it
>> looks like emacs -Q

> Sigh.  If you instrument emacsgtkfixed.c as follows:

> 	  if (hints->width_inc && data[5] % hints->width_inc)
> 	    data[5] += (hints->width_inc - (data[5] % hints->width_inc));
> 	  if (hints->height_inc && data[6] % hints->height_inc)
> 	    data[6] += (hints->height_inc - (data[6] % hints->height_inc));
>          (Add instrumentation following this line)
> 	  fprintf (stderr, "XSetWMSizeHints: %l %l width_inc: %l height_inc: %l\n",
> 		   data[5], data[6], hints->width_inc, hints->height_inc)

> what is printed when you start Emacs with "-Q", and Kwin shrinks your
> window?

I compiled it finally a ; was missing.

The message is 

./emacs -Q
XSetWMSizeHints: % % width_inc: % height_inc: %
XSetWMSizeHints: % % width_inc: % height_inc: %

(emacs:833): Gtk-WARNING **: Allocating size to Emacs 0x1d503e0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
XSetWMSizeHints: % % width_inc: % height_inc: %
XSetWMSizeHints: % % width_inc: % height_inc: %
XSetWMSizeHints: % % width_inc: % height_inc: %
XSetWMSizeHints: % % width_inc: % height_inc: %
XSetWMSizeHints: % % width_inc: % height_inc: %

-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.